Package Details: legendary 0.20.34-1

Git Clone URL: https://aur.archlinux.org/legendary.git (read-only, click to copy)
Package Base: legendary
Description: A free and open-source replacement for the Epic Games Launcher
Upstream URL: https://github.com/derrod/legendary
Keywords: games
Licenses: GPL3
Submitter: otreblan
Maintainer: otreblan
Last Packager: otreblan
Votes: 59
Popularity: 1.38
First Submitted: 2020-04-26 21:38 (UTC)
Last Updated: 2023-12-09 12:39 (UTC)

Latest Comments

1 2 Next › Last »

wioo commented on 2023-08-06 12:45 (UTC)

Clean chroot build fails. Python-installer package is missing from build dependencies. @otreblan please have a look at @yochananmarqos comment. His PKGBUILD has correct dependencies.

gbr commented on 2023-08-06 07:15 (UTC)

0.20.33-3 doesn't build anymore for me:

  -> Extracting legendary-0.20.33.tar.gz with bsdtar
==> Sources are ready.
legendary-0.20.33-3: parsing pkg list...
==> Making package: legendary 0.20.33-3 (dom 06 ago 2023 04:14:47)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting build()...
/usr/bin/python: No module named build
==> ERROR: A failure occurred in build().
    Aborting...
error: failed to build 'legendary-0.20.33-3': 
error: packages failed to build: legendary-0.20.33-3

yochananmarqos commented on 2023-08-05 00:50 (UTC) (edited on 2023-08-05 00:50 (UTC) by yochananmarqos)

Neither python-setuptools nor python-wheel are runtime dependencies. Most of the optional dependencies are duplicates of python-pywebview's optional dependencies. See my improved PKGBUILD.

gonciarz commented on 2023-06-19 23:52 (UTC)

ModuleNotFoundError: No module named 'filelock'

gbr commented on 2023-05-04 05:04 (UTC)

After Arch upgraded to Python 3.11, previous installations of legendary don't launch anymore:

$ legendary --help
Traceback (most recent call last):
  File "/usr/lib/python3.11/importlib/metadata/__init__.py", line 563, in from_name
    return next(cls.discover(name=name))
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/legendary", line 33, in <module>
    sys.exit(load_entry_point('legendary-gl==0.20.32', 'console_scripts', 'legendary')())
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/bin/legendary", line 22, in importlib_load_entry_point
    for entry_point in distribution(dist_name).entry_points
                       ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/importlib/metadata/__init__.py", line 981, in distribution
    return Distribution.from_name(distribution_name)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/importlib/metadata/__init__.py", line 565, in from_name
    raise PackageNotFoundError(name)
importlib.metadata.PackageNotFoundError: No package metadata was found for legendary-gl

I understand it's just a matter of rebuilding the package, but perhaps you could intentionally bump pkgrel to force a rebuild for non-tech savvy users.

Samsagax commented on 2022-09-17 22:26 (UTC)

Hello, @otrebian, current version is completely unusable. Games won't install. The updated version 0.20.29 fixes those issues. The package only needs an update. Thanks for maintaining the package and sorry to bother you.

Henry-ZHR commented on 2021-10-09 05:52 (UTC) (edited on 2021-10-09 05:52 (UTC) by Henry-ZHR)

StopIteration is thrown when listing games

$ legendary list-games
[cli] INFO: Logging in...
[Core] INFO: Trying to re-use existing login session...
[cli] INFO: Getting game list... (this may take a while)
Traceback (most recent call last):
  File "/usr/bin/legendary", line 33, in <module>
    sys.exit(load_entry_point('legendary-gl==0.20.14', 'console_scripts', 'legendary')())
  File "/usr/lib/python3.9/site-packages/legendary/cli.py", line 1938, in main
    cli.list_games(args)
  File "/usr/lib/python3.9/site-packages/legendary/cli.py", line 196, in list_games
    games, dlc_list = self.core.get_game_and_dlc_list(
  File "/usr/lib/python3.9/site-packages/legendary/core.py", line 385, in get_game_and_dlc_list
    self.update_aliases(force=meta_updated)
  File "/usr/lib/python3.9/site-packages/legendary/core.py", line 313, in update_aliases
    self.lgd.generate_aliases()
  File "/usr/lib/python3.9/site-packages/legendary/lfs/lgndry.py", line 370, in generate_aliases
    _aliases = generate_aliases(game.app_title, game_folder)
  File "/usr/lib/python3.9/site-packages/legendary/utils/aliasing.py", line 60, in generate_aliases
    first_word = next(i for i in game_parts if i not in ('for', 'the', 'of'))
StopIteration

I'm not sure if it's the issue of legendary itself since I can't find a related issue.

spikerguy commented on 2021-09-01 15:47 (UTC) (edited on 2021-09-01 15:48 (UTC) by spikerguy)

it is throwing error ModuleNotFoundError: No module named 'legendary.downloader.mp' on Python 3.9.6 Just tried the latest release. Trying it for the first time.

xDShot commented on 2021-08-31 17:36 (UTC)

Can we have a git variant please?